<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin - Update Scoreboard</title>
</head>
<body>
    <h1>Update Scoreboard</h1>
    <form method="POST" action="/admin">
        <label for="name">Name:</label>
        <input type="text" id="name" name="name" required>
        <br>
        <label for="amount">Amount:</label>
        <input type="number" id="amount" name="amount" required>
        <br>
        <button type="submit">Add Donation</button>
    </form>
    <h2>Current Donations</h2>
    <ul>
        {% for donation in donations %}
        <li>{{ donation.name }}: ${{ donation.amount }}</li>
        {% endfor %}
    </ul>
</body>
</html>
